Page 2 of 3 FirstFirst 123 LastLast
Results 11 to 20 of 26

Thread: VLC player stopped playing DVDs. What's wrong?

  1. #11
    Join Date
    Mar 2010
    Location
    India
    Beans
    8,175
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: VLC player stopped playing DVDs. What's wrong?

    I never added medibuntu repositories to my default ones (the default "Ubuntu" repositories) and I never needed to add 'anything' except installing VLC and restricted extras to be able to play DVDs.

    Did you follow the suggestions in this thread? Just install these and try playing again -
    Code:
    sudo apt-get install ubuntu-restricted-extras libdvdread4
    If you still can't play DVDs, run the player (I'd recommend VLC) from terminal and post back the messages it leaves in the terminal.
    Varun
    Help others by marking threads as [SOLVED], if they are. (See how)
    Wireless Script | Use Code Tags
    Am I not replying you? Perhaps this is why.

  2. #12
    Join Date
    Jun 2007
    Beans
    13,470

    Re: VLC player stopped playing DVDs. What's wrong?

    Quote Originally Posted by euanbuntu2 View Post
    How are you guys getting dvds to play at all? Apparently mediabuntu repositories are now gone and any other instructions I have received on getting my dvd's to work are quite complicated, involving somethig called git (that I've never heard of) and I'd love it if someone could help me out with a walk through of what to do please as I'm really confused? I'm on 13.04
    You can take a look here as how to install the new libdvdread4 & then run this in a terminal to install libdvdcss2

    Code:
    sudo /usr/share/doc/libdvdread4/install-css.sh
    http://ubuntuforums.org/showthread.p...1#post12812210
    Last edited by mc4man; October 11th, 2013 at 01:57 PM.

  3. #13
    Join Date
    Apr 2013
    Beans
    5

    Re: VLC player stopped playing DVDs. What's wrong?


  4. #14
    Join Date
    Oct 2013
    Beans
    11

    Re: VLC player stopped playing DVDs. What's wrong?

    hi everyone, thanks for all the support

    @Varunendra - thank you, I got thie following response:

    Code:
    christmaspudding@Christmas:~$ vlc
    VLC media player 2.0.8 Twoflower (revision 2.0.8a-0-g68cf50b)
    [0x1029108] main libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
    I'm still having problems and have followed the terminal commands you've given...

    first I did this:

    Code:
    christmaspudding@Christmas:~$ sudo apt-get install libdvdread4 ubuntu-restricted-extras
    [sudo] password for christmaspudding: 
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    libdvdread4 is already the newest version.
    ubuntu-restricted-extras is already the newest version.
    0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    ...which I take to mean that's all up to date. Then, when I went onto give the terminal the next one I get this:

    Code:
    christmaspudding@Christmas:~$ sudo /usr/doc/libdvdread4/install-css.sh
    sudo: /usr/doc/libdvdread4/install-css.sh: command not found
    I've already got the regionset package installed and set to my region, that was ok. Popped in a dvd...but nada...not a squeak.

    So, I've run the following as was hinted earlier in the thread and hope it might spread a bit of light on the situation for us?? Here goes:

    Code:
    christmaspudding@Christmas:~$ dpkg -l | egrep 'libdvd|restricted|gstreamer'
    ii  bluez-gstreamer                           4.101-0ubuntu8b1                       amd64        Bluetooth GStreamer support
    ii  gir1.2-gstreamer-0.10                     0.10.36-1ubuntu2                       amd64        Description: GObject introspection data for the GStreamer library
    ii  gir1.2-gstreamer-1.0                      1.0.6-1                                amd64        Description: GObject introspection data for the GStreamer library
    ii  gstreamer0.10-alsa:amd64                  0.10.36-1.1ubuntu1                     amd64        GStreamer plugin for ALSA
    ii  gstreamer0.10-ffmpeg:amd64                0.10.13-5                              amd64        FFmpeg plugin for GStreamer
    ii  gstreamer0.10-fluendo-mp3:amd64           0.10.15.debian-1ubuntu1                amd64        Fluendo mp3 decoder GStreamer plugin
    ii  gstreamer0.10-gconf:amd64                 0.10.31-3+nmu1ubuntu2                  amd64        GStreamer plugin for getting the sink/source information from GConf
    ii  gstreamer0.10-nice:amd64                  0.1.3-1                                amd64        ICE library (GStreamer plugin)
    ii  gstreamer0.10-plugins-bad:amd64           0.10.23-7ubuntu2                       amd64        GStreamer plugins from the "bad" set
    ii  gstreamer0.10-plugins-bad-multiverse      0.10.21-1ubuntu1                       amd64        GStreamer plugins from the "bad" set (Multiverse Variant)
    ii  gstreamer0.10-plugins-base:amd64          0.10.36-1.1ubuntu1                     amd64        GStreamer plugins from the "base" set
    ii  gstreamer0.10-plugins-base-apps           0.10.36-1.1ubuntu1                     amd64        GStreamer helper programs from the "base" set
    ii  gstreamer0.10-plugins-good:amd64          0.10.31-3+nmu1ubuntu2                  amd64        GStreamer plugins from the "good" set
    ii  gstreamer0.10-plugins-ugly:amd64          0.10.19-2                              amd64        GStreamer plugins from the "ugly" set
    ii  gstreamer0.10-pulseaudio:amd64            0.10.31-3+nmu1ubuntu2                  amd64        GStreamer plugin for PulseAudio
    ii  gstreamer0.10-tools                       0.10.36-1ubuntu2                       amd64        Tools for use with GStreamer
    ii  gstreamer0.10-x:amd64                     0.10.36-1.1ubuntu1                     amd64        GStreamer plugins for X11 and Pango
    ii  gstreamer1.0-alsa:amd64                   1.0.6-1                                amd64        GStreamer plugin for ALSA
    ii  gstreamer1.0-clutter                      2.0.2-0ubuntu1                         amd64        Clutter PLugin for GStreamer 1.0
    ii  gstreamer1.0-libav:amd64                  1.0.6-1                                amd64        FFmpeg plugin for GStreamer
    ii  gstreamer1.0-nice:amd64                   0.1.3-1                                amd64        ICE library (GStreamer plugin)
    ii  gstreamer1.0-plugins-bad:amd64            1.0.6-1ubuntu1                         amd64        GStreamer plugins from the "bad" set
    ii  gstreamer1.0-plugins-base:amd64           1.0.6-1                                amd64        GStreamer plugins from the "base" set
    ii  gstreamer1.0-plugins-base-apps            1.0.6-1                                amd64        GStreamer helper programs from the "base" set
    ii  gstreamer1.0-plugins-good:amd64           1.0.6-1ubuntu1                         amd64        GStreamer plugins from the "good" set
    ii  gstreamer1.0-plugins-ugly:amd64           1.0.6-1                                amd64        GStreamer plugins from the "ugly" set
    ii  gstreamer1.0-pulseaudio:amd64             1.0.6-1ubuntu1                         amd64        GStreamer plugin for PulseAudio
    ii  gstreamer1.0-tools                        1.0.6-1                                amd64        Tools for use with GStreamer
    ii  gstreamer1.0-x:amd64                      1.0.6-1                                amd64        GStreamer plugins for X11 and Pango
    ii  libdvdnav-dbg                             4.2.0+20130225-1ubuntu0.1              amd64        DVD navigation library (debug)
    ii  libdvdnav-dev                             4.2.0+20130225-1ubuntu0.1              amd64        DVD navigation library (development)
    ii  libdvdnav4:amd64                          4.2.0+20130225-1ubuntu0.1              amd64        DVD navigation library
    ii  libdvdread-dbg                            4.2.0+20121016-1ubuntu1                amd64        library for reading DVDs (debug)
    ii  libdvdread-dev                            4.2.0+20121016-1ubuntu1                amd64        library for reading DVDs (development)
    ii  libdvdread4                               4.2.0+20121016-1ubuntu1                amd64        library for reading DVDs
    ii  libgstreamer-plugins-bad0.10-0:amd64      0.10.23-7ubuntu2                       amd64        GStreamer shared libraries from the "bad" set
    ii  libgstreamer-plugins-bad1.0-0:amd64       1.0.6-1ubuntu1                         amd64        GStreamer development files for libraries from the "bad" set
    ii  libgstreamer-plugins-base0.10-0:amd64     0.10.36-1.1ubuntu1                     amd64        GStreamer libraries from the "base" set
    ii  libgstreamer-plugins-base0.10-0:i386      0.10.36-1.1ubuntu1                     i386         GStreamer libraries from the "base" set
    ii  libgstreamer-plugins-base1.0-0:amd64      1.0.6-1                                amd64        GStreamer libraries from the "base" set
    ii  libgstreamer-plugins-good1.0-0:amd64      1.0.6-1ubuntu1                         amd64        GStreamer development files for libraries from the "good" set
    ii  libgstreamer0.10-0:amd64                  0.10.36-1ubuntu2                       amd64        Core GStreamer libraries and elements
    ii  libgstreamer0.10-0:i386                   0.10.36-1ubuntu2                       i386         Core GStreamer libraries and elements
    ii  libgstreamer1.0-0:amd64                   1.0.6-1                                amd64        Core GStreamer libraries and elements
    ii  lubuntu-restricted-addons                 14                                     amd64        Commonly used restricted packages for Lubuntu
    ii  phonon-backend-gstreamer:amd64            4:4.7.0really4.6.3-0ubuntu1            amd64        Phonon GStreamer 0.10.x backend
    ii  ubuntu-restricted-addons                  14                                     amd64        Commonly used restricted packages for Ubuntu
    ii  ubuntu-restricted-extras                  57                                     amd64        Commonly used restricted packages for Ubuntu
    Does that make any sense to anyone?

    Thanks again for all the support, I hope you can still help?

    Edit: just found out that mediabuntu repositories are now closed, maybe this helps??
    Last edited by euanbuntu2; October 11th, 2013 at 03:26 AM. Reason: adding extra info re.mediabuntu / 2nd edit for info for varunendra

  5. #15
    Join Date
    Mar 2010
    Location
    India
    Beans
    8,175
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: VLC player stopped playing DVDs. What's wrong?

    Quote Originally Posted by euanbuntu2 View Post
    Code:
    christmaspudding@Christmas:~$ vlc
    VLC media player 2.0.8 Twoflower (revision 2.0.8a-0-g68cf50b)
    [0x1029108] main libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
    That's from when only opening vlc. Try playing the DVD (see post #6) and see what other messages appear in the terminal.

    ..And..
    Code:
    christmaspudding@Christmas:~$ sudo /usr/doc/libdvdread4/install-css.sh
    sudo: /usr/doc/libdvdread4/install-css.sh: command not found
    Oops !! That has to be "/usr/share/doc...." not "/usr/doc", ....... all blame goes to mc4man, I take none..
    Varun
    Help others by marking threads as [SOLVED], if they are. (See how)
    Wireless Script | Use Code Tags
    Am I not replying you? Perhaps this is why.

  6. #16
    Join Date
    Oct 2013
    Beans
    11

    Re: VLC player stopped playing DVDs. What's wrong?

    Ok, so after running the correct command I got:

    Code:
    christmaspudding@Christmas:~$ sudo /usr/share/doc/libdvdread4/install-css.sh
    --2013-10-11 13:27:45--  http://packages.medibuntu.org/dists/...amd64/Packages
    Resolving packages.medibuntu.org (packages.medibuntu.org)... 88.191.127.22
    Connecting to packages.medibuntu.org (packages.medibuntu.org)|88.191.127.22|:80... connected.
    HTTP request sent, awaiting response... 404 Not Found
    2013-10-11 13:27:45 ERROR 404: Not Found.
    
    Dynamic fetch failed; Falling back to static fetch
    --2013-10-11 13:27:45--  http://packages.medibuntu.org/pool/f...ntu1_amd64.deb
    Resolving packages.medibuntu.org (packages.medibuntu.org)... 88.191.127.22
    Connecting to packages.medibuntu.org (packages.medibuntu.org)|88.191.127.22|:80... connected.
    HTTP request sent, awaiting response... 404 Not Found
    2013-10-11 13:27:51 ERROR 404: Not Found.
    And after trying to run a dvd, selecting crtl-d and trying to play the dvd I got:

    Code:
    christmaspudding@Christmas:~$ vlc
    VLC media player 2.0.8 Twoflower (revision 2.0.8a-0-g68cf50b)
    [0x2128108] main libvlc: Running vlc with the default interface. Use 'cvlc' to use vlc without interface.
    libdvdnav: Using dvdnav version 4.2.0
    libdvdread: Encrypted DVD support unavailable.
    ************************************************
    **                                            **
    **  No css library available. See             **
    **  /usr/share/doc/libdvdread4/README.css     **
    **  for more information.                     **
    **                                            **
    ************************************************
    libdvdread: Could not open input: No medium found
    libdvdread: Can't open /dev/dvd for reading
    libdvdnav: vm: failed to open/read the DVD
    libdvdread: Encrypted DVD support unavailable.
    ************************************************
    **                                            **
    **  No css library available. See             **
    **  /usr/share/doc/libdvdread4/README.css     **
    **  for more information.                     **
    **                                            **
    ************************************************
    libdvdread: Could not open input: No medium found
    libdvdread: Can't open /dev/dvd for reading
    [0x7f4934001168] dvdread demux error: DVDRead cannot open source: /dev/dvd
    [0x7f4958000b78] main input error: open of `dvd:///dev/dvd' failed
    Please let me know what you think my next steps should be - I'm on 13.04 raring if that makes a difference?

    Thanks again for the continued support

  7. #17
    Join Date
    Mar 2010
    Location
    India
    Beans
    8,175
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: VLC player stopped playing DVDs. What's wrong?

    Well-well... now I can see what the sudden fuss about DVDs is all about. That script (the older version that most of us have) tries to pull the packages from the same medibuntu repo that is now closed. So even though *I* didn't add medibuntu repos, the packages eventually came from there.

    Fortunately, there is a fix that mc4man already pointed to. You need to follow the instructions in his post he linked to in post #12 : http://ubuntuforums.org/showthread.p...1#post12812210

    In short,
    Enable "Proposed" repos > Install/Upgrade "libdvdread4" to upgrade the script > disable the "Proposed" repos > run the script again -
    Code:
    sudo /usr/share/doc/libdvdread4/install-css.sh
    ..and come back to say thanks to mc4man (all credit goes to mc4man, I get none )!
    Varun
    Help others by marking threads as [SOLVED], if they are. (See how)
    Wireless Script | Use Code Tags
    Am I not replying you? Perhaps this is why.

  8. #18
    Join Date
    Jun 2007
    Beans
    11,166

    Re: VLC player stopped playing DVDs. What's wrong?

    @euanbuntu: You're making it overly difficult...
    Code:
    cd ~/
    wget http://download.videolan.org/pub/ubuntu/raring/libdvdcss2_1.2.13-0_amd64.deb
    sudo dpkg -i libdvdcss2_1.2.13-0_amd64.deb

  9. #19
    Join Date
    Jul 2009
    Location
    AL, USA
    Beans
    318
    Distro
    Xubuntu 13.10 Saucy Salamander

    Re: VLC player stopped playing DVDs. What's wrong?

    Thanks, Temujin! That's a LOT easier. I just reinstalled Lubuntu 13.04 and have been going about changing what I want and then I ran into the DVD issue. Perhaps you should volunteer your solution to the Documentation. I'm sure it would be much appreciated. Once again, thanks.

    Edit: I have submitted Temujin's fix with credit due as a Document bug report. Hopefully, it will be updated soon.
    Last edited by zer010; October 12th, 2013 at 08:45 AM.
    HP Pavilion dv6, Core i3-3110M, 6GB RAM, nVIDIA Geforce GT 650M, 640GB HDD: Win7 / Xubuntu 13.10 64bit

  10. #20
    Join Date
    Jun 2007
    Beans
    11,166

    Re: VLC player stopped playing DVDs. What's wrong?

    @zer010: You're welcome. Those exact instructions only work for raring 64-bit, so I hope you noted that.

    Perhaps you should volunteer your solution to the Documentation.
    I'm hoping that the updated dvdread packages go from proposed to main repos any time now and make workarounds unnecessary...

Page 2 of 3 FirstFirst 123 LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •